#include "StoreCollectionsSubPresenter.h"

class USubPresenter;
class UStoreCollectionViewData;

void UStoreCollectionsSubPresenter::UpdateCollectionData(bool forceRefresh)
{

}

void UStoreCollectionsSubPresenter::OnStopSubPresenterAsyncOperation(USubPresenter* subPresenter)
{

}

void UStoreCollectionsSubPresenter::OnStartSubPresenterAsyncOperation(USubPresenter* subPresenter)
{

}

void UStoreCollectionsSubPresenter::OnPageStateUpdated()
{

}

void UStoreCollectionsSubPresenter::OnCollectionClicked(const UStoreCollectionViewData* collection)
{

}

void UStoreCollectionsSubPresenter::OnBackActionLabelChangeRequested(const FText& text)
{

}

void UStoreCollectionsSubPresenter::HandleSubPresenterError()
{

}

UStoreCollectionsSubPresenter::UStoreCollectionsSubPresenter()
{
	this->_currentSelectedCollectionId = TEXT("");
}
